# OpenLayers.Format.ArcXML

Read/Write ArcXML. Create a new instance with the OpenLayers.Format.ArcXML constructor.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.ArcXML | Read/Write ArcXML.
Constructor |
OpenLayers.Format.ArcXML | Create a new parser/writer for ArcXML.
Functions |
iserror | Check to see if the response from the server was an error.
read | Read data from a string, and return an response.
write | Generate an ArcXml document string for sending to an ArcIMS server.

### Constructor

### OpenLayers.Format.ArcXML

Create a new parser/writer for ArcXML. Create an instance of this class to begin authoring a request to an ArcIMS service. This is used primarily by the ArcIMS layer, but could be used to do other wild stuff, like geocoding.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### iserror

> iserror: function( | data | )

Check to see if the response from the server was an error.

#### Parameters

data | {String} or {DOMElement} data to read/parse. If nothing is supplied, the current response is examined.

#### Returns

{Boolean} true if the response was an error.

### read

> read: function( | data | )

Read data from a string, and return an response.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{<OpenLayers.Format.ArcXML.Response>} An ArcXML response. Note that this response data may change in the future.

### write

> write: function( | request | )

Generate an ArcXml document string for sending to an ArcIMS server.

#### Returns

{String} A string representing the ArcXML document request.

> iserror: function( | data | )

Check to see if the response from the server was an error.

> read: function( | data | )

Read data from a string, and return an response.

> write: function( | request | )

Generate an ArcXml document string for sending to an ArcIMS server.
Create a new parser/writer for ArcXML.
Read and write XML.
Close